=== debian/changelog ===
openexr (2.5.4-2+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2021-3598, CVE-2021-3605, CVE-2021-3933, CVE-2021-3941,
    CVE-2021-23215, CVE-2021-26260 and CVE-2021-45942.
    Multiple security vulnerabilities have been found in OpenEXR, command-line
    tools and a library for the OpenEXR image format. Buffer overflows or
    out-of-bound reads could lead to a denial of service (application crash) if
    a malformed image file is processed.
    (Closes: #992703, #990450, #990899, #1014828, #1014828)

 -- Markus Koschany <apo@debian.org>  Sat, 10 Dec 2022 14:53:33 +0100

openexr (2.5.4-2) unstable; urgency=high

  * debian/patches/: patchset updated
    - CVE-2021-23169.diff added (Closes: #988240)
    | This patch aims to fix CVE-2021-23169:
    |   Heap-buffer-overflow in Imf_2_5::copyIntoFrameBuffer
    | The patch applied is a reduced version of the upstream
    | commit, given the code base has changed in the meanwhile.

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 18 May 2021 23:26:12 +0200

openexr (2.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: parameters updated
  * debian/control:
    - S-V bump 4.5.0 -> 4.5.1 (no changes needed)
    - set minimal ilmbase lib to v2.5.4

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 21 Jan 2021 23:24:00 +0100
