=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openexr-$1\.tar\.gz/, \
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc" \
https://github.com/AcademySoftwareFoundation/openexr/tags .*/v?(\d\S+)\.tar\.gz
