=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  debhelper-compat (= 13),
  dh-buildinfo,
  dpkg-dev (>= 1.18.0),
- libilmbase-dev (>= 2.5.4),
+ libilmbase-dev (>= 2.5.7),
  pkg-config,
  zlib1g-dev
 Standards-Version: 4.5.1
